Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.DropAction

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.DropAction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.DropAction

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.DropAction` | `ActionMask` Value: ActionMask
`static Qt.DropAction` | `CopyAction` Copy the data to the target.
`static Qt.DropAction` | `IgnoreAction` Ignore the action (do nothing with the data).
`static Qt.DropAction` | `LinkAction` Create a link from the source to the target.
`static Qt.DropAction` | `MoveAction` Move the data from the source to the target.
`static Qt.DropAction` | `TargetMoveAction`

Method Summary
`static Qt.DropActions` | `createQFlags(Qt.DropAction[] values)` This function creates a com.trolltech.qt.core.Qt$DropActions with the specified `com.trolltech.qt.core.Qt$DropAction[]` DropAction values set.
`static Qt.DropAction` | `resolve(int value)` Returns the DropAction constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.DropAction` | `valueOf(java.lang.String name)`
`static Qt.DropAction[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CopyAction

    public static final Qt.DropAction CopyAction

  Copy the data to the target.

### MoveAction

    public static final Qt.DropAction MoveAction

  Move the data from the source to the target.

### LinkAction

    public static final Qt.DropAction LinkAction

  Create a link from the source to the target.

### ActionMask

    public static final Qt.DropAction ActionMask

  Value: ActionMask

### TargetMoveAction

    public static final Qt.DropAction TargetMoveAction

### IgnoreAction

    public static final Qt.DropAction IgnoreAction

  Ignore the action (do nothing with the data).

Method Detail

### values

    public static Qt.DropAction[] values()

### valueOf

    public static Qt.DropAction valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.DropActions createQFlags(Qt.DropAction[] values)

  This function creates a com.trolltech.qt.core.Qt$DropActions with the specified `com.trolltech.qt.core.Qt$DropAction[]` DropAction values set.

### resolve

    public static Qt.DropAction resolve(int value)

  Returns the DropAction constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD